View Issue Details

IDProjectCategoryView StatusLast Update
0004295SketcherBugpublic2020-06-05 17:23
Reporterreox Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004295: Point on B-Spline is allowed for automatic constraint creation and produces invalid constraint
DescriptionWhen trying to manually constraint a point on a b-spline, you get an error message indicating that this is not allowed.
However, if the constraint is autoamtically applied, i.e. by creating a line and placing the endvertex on the b-spline, the constraint will be created, prodcuing the following message:
Sketcher constraint number 18 is malformed!
Steps To Reproduce* Make sure automatic constrain creation is switched on
* draw a B-spline
* draw a line and place one vertex on the spline curve, creating an automatic constraint
* the constraint is created on the vertex
* error message is shown
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?p=380241
TagsNo tags attached.
FreeCAD InformationOS: Debian GNU/Linux bullseye/sid (i3/i3)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20196 (Git) AppImage
Build type: Release
Branch: master
Hash: 92d005b26f5a5c45c21d7d5f447e1a8114ef0558
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: German/Austria (de_AT)

Activities

abdullah

2020-06-02 17:09

manager   ~0014458

git commit c7b963d99171dacb14cc515151801ec7ac4b79f6

abdullah

2020-06-05 17:23

manager   ~0014474

Fix committed to master branch.

Related Changesets

FreeCAD: master c7b963d9

2020-06-02 14:50:04

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Avoid PointOnObject Autoconstraint on BSpline

=======================================================

fixes 0004295

PointOnObject autoconstraint for BSplines is currently not supported, this
commit prevents malformed autoconstraint creation.
Affected Issues
0004295
mod - src/Mod/Sketcher/Gui/DrawSketchHandler.cpp Diff File

Issue History

Date Modified Username Field Change
2020-03-25 11:09 reox New Issue
2020-06-02 17:09 abdullah Assigned To => abdullah
2020-06-02 17:09 abdullah Status new => closed
2020-06-02 17:09 abdullah Resolution open => fixed
2020-06-02 17:09 abdullah Fixed in Version => 0.19
2020-06-02 17:09 abdullah Note Added: 0014458
2020-06-05 17:23 abdullah Changeset attached => FreeCAD master c7b963d9
2020-06-05 17:23 abdullah Note Added: 0014474